SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000419SiT!themepublic2009-01-22 09:452011-02-14 13:18
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0000419: Themes should be easier to add
DescriptionThere's no real need to have a database table 'interfacestyles', this makes adding themes problematic.

A structure like

htdocs/themes/neoteric/neoteric.css
htdocs/themes/neoteric/logo.jpg
htdocs/themes/orange/orange.css
...

would mean that we only need to store the directory name in the user profile. Once we've make adding extra variables to the users profile easier (like the config table, but for user config) this will be possible.
Additional InformationThis new structure would give us the ability to seperate header and footer HTML in future and move that to theme.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000613confirmed Interface to add/edit themes 

-  Notes
User avatar (0002177)
paulh (administrator)
2009-12-03 19:18

Agree
User avatar (0002630)
ivan (administrator)
2010-03-08 19:22

Added for 4.x in Git as of 50b3230

- Issue History
Date Modified Username Field Change
2009-01-22 09:45 ivan New Issue
2009-03-05 13:57 ivan Severity minor => feature
2009-04-22 17:12 ivan Relationship added related to 0000613
2009-06-17 14:32 ivan Category other => theme
2009-12-03 19:18 paulh Note Added: 0002177
2009-12-03 19:18 paulh Status new => confirmed
2010-03-07 15:05 ivan Status confirmed => assigned
2010-03-07 15:05 ivan Assigned To => ivan
2010-03-07 15:05 ivan Target Version => 4.0
2010-03-08 19:22 ivan Note Added: 0002630
2010-03-08 19:22 ivan Status assigned => resolved
2010-03-08 19:22 ivan Fixed in Version => Current GIT
2010-03-08 19:22 ivan Resolution open => fixed
2011-02-14 13:18 ivan Fixed in Version Current GIT => 3.90beta1
2011-02-14 13:18 ivan Fixed in Version 3.90beta1 => Current GIT
2011-02-14 13:18 ivan Target Version 4.0 => 3.90beta1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker